Please merge gimp 2.6.4-1 (main) from Debian experimental (main)

Bug #313354 reported by Nicola Ferralis on 2009-01-03
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gimp (Debian)
Fix Released
Unknown
gimp (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gimp

GIMP is currently in version 2.6.1 in intrepid and 2.6.3 in jaunty.

Overview of Changes from GIMP 2.6.3 to GIMP 2.6.4
=================================================

* Bugs fixed:

 565223 – Perspective transformation jagged edges / comb effect
 563985 – jpg save dialog: "cancel" is treated like "commit"
          for settings
 564087 – Using clone tool on a layer with a part out of canvas
          causes crashes
 564593 – crash when the drawable is changed while a color tool
          is active
 564869 – GIMP crashes on selecting Tools->GEGL operation
 565138 – python-fu-foggify does not check if image is in rgb mode
 563130 – Hue selection mode does not cross the 0-360 degrees line
 563179 – Scrollbars not resized when we extend the canvas size
 562459 – PF_PALETTE: 'TypeError' when used in a plugin that is
          registered in <Image>
 562427 – Compilation with --as-needed
 562386 – PF_SLIDER and PF_SPINNER 'Step' values do not change
          consistently...
 562366 – Default image dimensions are not correctly
          transferred in the file/new dialog box
 561899 – GIMP can't save to mounted filesystem if file exists

* Updated translations:

 Greek (el)
 Hindi (hi)
 Hungarian (hu)
 Italian (it)
 Japanese (ja)
 Korean (ko)
 Slovenian (sl)
 Swedish (sv)
 Tamil (ta)
 Simplified Chinese (zh_CN)

Changelog: http://developer.gimp.org/NEWS-2.6

Related branches

Is there a way to have 2.6.4 on current LTS (Hardy 8.04)?

Nicola Ferralis (feranick) wrote :

Because the 2.6.x introduces a new set of features, backporting it to hardy is not trivial. This bug applies only to Jaunty and Intrepid, for which GIMP is already in version 2.6.x. For these 2.6.4 is a bug release.

If you feel 2.6.x should be backported to hardy, you should file a separate bug.

There are third parties repositories that offer GIMP 2.6 for hardy. Being totally unofficial, you should however be careful in using them.

Changed in gimp:
assignee: nobody → surfaz28
status: New → In Progress
description: updated
description: updated

"Overview of Changes from GIMP 2.6.3 to GIMP 2.6.4
=================================================

* Bugs fixed:

 565223 – Perspective transformation jagged edges / comb effect"

This fix Launchpad bug: "Can't save to mounted filesystem if file exists (LP: #319073) "

Changed in gimp:
assignee: surfaz28 → nobody
status: In Progress → Confirmed
Dylan Aïssi (daissi) wrote :

It's possible to merge from debian?

 gimp (2.6.4-1) experimental; urgency=low

   * New upstream release (Closes: #514530)
   * Revert building gimp-remote, since it's now deprecated.

 -- Ari Pollak <email address hidden> Sun, 08 Feb 2009 13:48:49 -0500

Nicola Ferralis (feranick) wrote :

2.6.4-1 in Debian experimental is only available on few architectures (amd64 ia64):

http://packages.debian.org/experimental/gimp

It just didn't get built for all architectures yet, but the source package is available.
As of today, packages for i386 are in the archive as well.

Pedro Fragoso (ember) on 2009-02-10
Changed in gimp:
assignee: nobody → ember
status: Confirmed → In Progress
Pedro Fragoso (ember) wrote :
Changed in gimp:
assignee: ember → nobody
status: In Progress → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gimp - 2.6.4-1ubuntu1

---------------
gimp (2.6.4-1ubuntu1) jaunty; urgency=low

  * Merge with Debian Experimental (LP: #313354)
  * Ubuntu remaining changes:
  * debian/patches/02_help-message.patch,
    debian/patches/03_gimp.desktop.in.in.patch:
    - updated some strings for ubuntu
  * debian/rules:
    - updated translation templates
  * debian/control:
    - Drop webkit build dependency. gimp is the only thing pulling
      in webkit for the desktop CDs, and makes them explode
      Without the webkit help browser
      plugin, help will just be displayed in the default browser.

gimp (2.6.4-1) experimental; urgency=low

  * New upstream release (Closes: #514530)
  * Revert building gimp-remote, since it's now deprecated.

 -- Pedro Fragoso <email address hidden> Tue, 10 Feb 2009 16:46:38 +0000

Changed in gimp:
status: New → Fix Released
Changed in gimp (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.